var button = document.getElementById('btn');
var rollover = document.getElementById('banner');

// USER ANIMATION

var tl = new TimelineMax();
var tm = new TimelineMax({delay:2}) 
var tn = new TimelineMax({delay:4});
var tk = new TimelineMax({delay:6});
var tp = new TimelineMax({delay:8.5});
var tq = new TimelineMax({delay:11.5});


// var tx = new TimelineMax({delay:11.5});

function init() {
  //Set tussen frame 1 en 2
  
  tm.set(["#bg2"], {autoAlpha:0});
  tm.set(["#txt1c"], {y:-23,autoAlpha:0});
  
  tn.set(["#bg3"], {autoAlpha:0});
  tn.set(["#txt1d"], {y:-23,autoAlpha:0});
  
  tk.set(["#bg4"], {autoAlpha:0});
  tk.set(["#txt2a"], {autoAlpha:0});
  tk.set(["#txt2b"], {y:-23,autoAlpha:0});

  tp.set(["#txt3a"], {y:-26,autoAlpha:0});
  tp.set(["#txt3b"], {y:-26,autoAlpha:0});


  
  intro();
  frame5();

}

function intro() {
  tl.to(["#overlay"],0.6, {autoAlpha: 0});
//INTRO
  //Balken komen in
    tl.add("intro")
    tl.from(["#linkerhoek"], 1.6, {x:-100, y:-100,ease: Power3.easeInOut}, "intro");
    tl.from(["#balk1"], 1, {x:-70, ease: Power3.easeInOut}, "intro");
    tl.from(["#balk2"], 1.4, {x:-150, ease: Power4.easeInOut}, "intro");
    tl.from(["#balk3"], 1.1, {x:-200, ease: Power3.easeInOut}, "intro");
    tl.from(["#balk4"], 1.6, {x:-180, ease: Power2.easeInOut}, "intro");

    //eerste txt fade in
    tl.from(["#txt1a"], 0.8, {autoAlpha:0, ease: Power3.easeInOut}, "intro+=.8");
    tl.from(["#txt1b"], 0.8, {autoAlpha:0, ease: Power2.easeInOut, onComplete:frame2}, "intro+=0.8");

}


function frame2() {

//TUSSEN FRAME 1 EN 2
  tm.add("switchOne")
    // logohoek roteert, cirkeltjes in logo roteren
    tm.to(["#logohoek"],2, {rotation: -387, stopColor:"#4B1248", ease: Power2.easeInOut}, "switchOne");
    tm.to(["#logohoeksvg"],2, { stopColor:"#4B1248", ease: Power2.easeInOut}, "switchOne");
    tm.to(["#logohoek"],1, {autoAlpha:1, yoyo:true, repeat:1, ease: Power2.easeInOut}, "switchOne");
    tm.to(["#cirkel1"],2, {rotation: -387, ease: Power2.easeInOut}, "switchOne");
    tm.to(["#cirkel2"],2, {rotation: -387, ease: Power2.easeInOut}, "switchOne");
    //text switch en bg switch

    tm.to('#txt1b',0.5, {y: 23, ease: Power2.easeInOut}, "switchOne+=0.7");
    tm.to('#txt1c',0.5, {autoAlpha:1, y: 0, ease: Power2.easeInOut},"switchOne+=0.7");
    tm.to('#bg1',1, {autoAlpha:0, ease: Power2.easeInOut},"switchOne+=0.7");
    tm.to('#bg2',1, {autoAlpha:1, ease: Power2.easeInOut, onComplete:frame3}, "switchOne+=0.7");

}

function frame3() {

//TUSSEN FRAME 2 EN 3
  tn.add("switchTwo")

    // logohoek roteert, cirkeltjes in logo roteren
    tn.to(["#logohoek"],2, {rotation: -747, ease: Power2.easeInOut}, "switchTwo");
    tn.to(["#logohoek"],1, {autoAlpha:1, yoyo:true, repeat:1, ease: Power2.easeInOut}, "switchTwo");
    tn.to(["#cirkel1"],2, {rotation: -747, ease: Power2.easeInOut}, "switchTwo");
    tn.to(["#cirkel2"],2, {rotation: -747, ease: Power2.easeInOut}, "switchTwo");
    //text switch en bg switch
    tn.to('#txt1c',0.5, {y: 23, ease: Power2.easeInOut}, "switchTwo+=0.7");
    tn.to('#txt1d',0.5, {autoAlpha:1, y: 0, ease: Power2.easeInOut},"switchTwo+=0.7");
    tn.to('#bg2',1, {autoAlpha:0, ease: Power2.easeInOut},"switchTwo+=0.7");
    tn.to('#bg3',1, {autoAlpha:1, ease: Power2.easeInOut, onComplete:frame4}, "switchTwo+=0.7");

}

function frame4() {

//TUSSEN FRAME 3 EN 4
  tk.add("switchThree")

    // logohoek roteert, cirkeltjes in logo roteren
    tk.to(["#logohoek"],2, {rotation: -387, ease: Power2.easeInOut}, "switchThree");
    tk.to(["#logohoek"],1, {autoAlpha:1, yoyo:true, repeat:1, ease: Power2.easeInOut}, "switchThree");
    tk.to(["#cirkel1"],2, {rotation: -387, ease: Power2.easeInOut}, "switchThree");
    tk.to(["#cirkel2"],2, {rotation: -387, ease: Power2.easeInOut}, "switchThree");
    //text switch en bg switch
    tk.to('#txt1a',0.5, {autoAlpha:0, ease: Power2.easeInOut}, "switchThree+=0.7");
    tk.to('#txt2a',0.5, {autoAlpha:1, ease: Power2.easeInOut}, "switchThree+=0.7");

    tk.to('#txt1d',0.5, {y: 23, ease: Power2.easeInOut}, "switchThree+=0.7");
    tk.to('#txt2b',0.5, {autoAlpha:1, y: 0, ease: Power2.easeInOut},"switchThree+=0.7");
    tk.to('#bg3',1, {autoAlpha:0, ease: Power2.easeInOut},"switchThree+=0.7");
    tk.to('#bg4',1, {autoAlpha:1, ease: Power2.easeInOut}, "switchThree+=0.7");
}

function frame5(){
    tp.add("outroOne")
    // Driehoeken komen in
    tp.from(["#driehoek1"],1.8, {rotation:-50, x:-50, y:-400, ease: Power3.easeInOut}, "outroOne");
    tp.from(["#driehoek2"],1.8, {rotation:-50, x:50, y:400, ease: Power3.easeInOut}, "outroOne");
    // Logo komt in
    tp.from(["#logo2"],.1, {autoAlpha:0, ease: Power2.easeInOut}, "outroOne+=1.5");
    tp.from(["#cirkel3"],.1, {autoAlpha:0, ease: Power2.easeInOut}, "outroOne+=1.5");
    tp.from(["#cirkel4"],.1, {autoAlpha:0, ease: Power2.easeInOut}, "outroOne+=1.5");
    // Bovenste driehoek kleurveranding (driehoek1)
    tp.to("#grad1 stop:nth-child(1)",3,{attr:{offset:'0%'},stopColor: "#ce5228"},"outroOne+=1.8");
    tp.to("#grad1 stop:nth-child(2)",3,{attr:{offset:'100%'},stopColor:"#bd2921",stopOpacity:1},"outroOne+=1.8");

    // Onderste driehoek kleurveranding (driehoek2)
    tp.to("#grad2 stop:nth-child(1)",3,{attr:{offset:'0%'},stopColor: "#0b2e9b"},"outroOne+=1.8");
    tp.to("#grad2 stop:nth-child(2)",3,{attr:{offset:'100%'},stopColor:"#2351de",stopOpacity:1},"outroOne+=1.8");

    // Balken vliegen langs
    tp.from(["#balk5"], 2.9, {x:-700, ease: Power2.easeOut}, "outroOne+=1");
    tp.from(["#balk6"], 2.2, {x:-800, ease: Power2.easeOut}, "outroOne+=1");
    tp.from(["#balk7"], 2.7, {x:-845, ease: Power2.easeOut}, "outroOne+=1");
    tp.from(["#balk8"], 2.4, {x:-750, ease: Power3.easeOut}, "outroOne+=1.2");
    tp.from(["#balk9"], 2.8, {x:-930, ease: Power3.easeOut}, "outroOne+=1");
    tp.from(["#balk10"], 2.5, {x:-800, ease: Power2.easeOut}, "outroOne+=1");

    tp.to('#txt3a',0.5, {y: 0, autoAlpha:1, ease: Power2.easeInOut}, "outroOne+=2");
    tp.to('#txt3b',0.5, {y: 0, autoAlpha:1, ease: Power2.easeInOut, onComplete: frame6}, "outroOne+=2");
 
}

function frame6(){
    tp.add("outroTwo")
    tq.to(["#driehoek1"],1.2, {y:-48, ease: Power2.easeInOut}, "outroTwo");
    tq.to(["#driehoek2"],1.2, {y:-48, ease: Power2.easeInOut}, "outroTwo");

    tq.to('#logo2',1.2, {y:-48, ease: Power2.easeInOut}, "outroTwo");
    tq.to('#cirkel3',1.2, {y:-48, ease: Power2.easeInOut}, "outroTwo");
    tq.to('#cirkel4',1.2, {y:-48, ease: Power2.easeInOut}, "outroTwo");
    tq.to(["#cirkel3"],1.2, {rotation: 333, ease: Power2.easeInOut}, "outroTwo");
    tq.to(["#cirkel4"],1.2, {rotation: 333, ease: Power2.easeInOut}, "outroTwo");

    tq.to('#txt3a-wrapper',1.2, {y:-48, ease: Power2.easeInOut, onComplete:knopje}, "outroTwo");
    tq.to('#txt3b-wrapper',1.2, {y:-48, ease: Power2.easeInOut/*, onComplete: button*/}, "outroTwo");
    //donkerpaars naar bright paars
    tq.to("#grad1 stop:nth-child(1)",3,{attr:{offset:'0%'},stopColor: "#530ad5"},"outroTwo");
    tq.to("#grad1 stop:nth-child(2)",3,{attr:{offset:'100%'},stopColor:"#ff00f4",stopOpacity:1},"outroTwo");
    //turq. naar groen
    tq.to("#grad2 stop:nth-child(1)",3,{attr:{offset:'0%'},stopColor: "#39bcc4"},"outroTwo");
    tq.to("#grad2 stop:nth-child(2)",3,{attr:{offset:'100%'},stopColor:"#87ce52",stopOpacity:1},"outroTwo");

    // setTimeout(function() {knopje();}, 0);

}

function knopje(){

  TweenMax.to(["#btn"],1, {clip:"rect(0px,121px,31px,0px)", ease: Power2.easeInOut});
  TweenMax.to(["#btnSchuin"],1, {x: -200, ease: Power2.easeIn, delay: 0.05});
  TweenMax.to(["#btnSchuin"],0.8, {x: -100, ease: Power2.easeOut, delay: 1.1});
  TweenMax.to(["#btnText"],0.8, {clip:"rect(0px,83px,31px,0px)", ease: Power2.easeInOut, delay: 1.1});


}

btn.onmouseenter = function(){
   TweenMax.to(["#btnSchuin"],0.5, {x: -200, ease: Power2.easeIn});
  }
btn.onmouseleave = function(){
   TweenMax.to(["#btnSchuin"],0.5, {x: -100, ease: Power2.easeOut});
  }
